<bugID>1097942<Summary>UITour function for changing selected search provider</Summary><Description>It would be useful to have the ability to allow users to change their selected search engine from within a product tour.

I envision an API like:
Mozilla.UITour.selectEngine("Foo Engine");

whose implementation just sends a "selectEngine" message with the engine name as a parameter.</Description></bugID>